package core;

import io.dropwizard.Configuration;
import objects.Team;

import java.util.List;

/**
 * Created by gpietrus on 16.02.16.
 */
public class ApplicationConfiguration extends Configuration {
    private String dbHost;
    private int dbPort;
    private String dbName;

    private String flagHashMethod;

    private List<Team> teams;

    private List<Test> testsTemporary;

    public String getFlagHashMethod() {
        return flagHashMethod;
    }

    public List<Team> getTeams() {
        return teams;
    }

    public void setTeams(List<Team> teams) {
        this.teams = teams;
    }

    public List<Test> getTestsTemporary() {
        return testsTemporary;
    }

    public void setTestsTemporary(List<Test> testsTemporary) {
        this.testsTemporary = testsTemporary;
    }

    public void setFlagHashMethod(String flagHashMethod) {
        this.flagHashMethod = flagHashMethod;
    }

    public String getDbHost() {
        return dbHost;
    }

    public void setDbHost(String dbHost) {
        this.dbHost = dbHost;
    }

    public int getDbPort() {
        return dbPort;
    }

    public void setDbPort(int dbPort) {
        this.dbPort = dbPort;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }
}
